@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// state
.app-state {
  @include robotoRegular;
  @include flex(center);
  font-size: 12px;
  line-height: 14px;
  color: $eclipse;

  app-disabled-reason {
    margin-left: 5px;
  }
}

// dot
.app-dot {
  @include ball(6px);
  margin-right: 6px;
}

// status
.app-status {
  @include robotoRegular;
  margin-top: 4px;
  color: $suva-grey;

  span {
    color: $eclipse;
  }
}

@media (min-width: 768px) and (max-width: 1280px) {
  // state
  .app-state {
    font-size: 10px;
  }
}
